import axios from "axios";

axios.defaults.withCredentials = true;
// 请求头，headers 信息
axios.defaults.headers["X-Requested-With"] = "XMLHttpRequest";
axios.defaults.headers = {
  name: "cc",
  token: "",
};



// 请求拦截器，内部根据返回值，重新组装，统一管理。
axios.interceptors.response.use(
  (res) => {
    return res.data;
  },
  (error) => {
    ElMessage.closeAll();
    ElMessage.error(error || "请求错误");
    return Promise.reject(error);
  }
);
// post请求
export function postJsonRequest(url, params) {
  return axios({
    method: "post",
    url: url,
    data: params,
    // responseType: 'arraybuffer',
    headers: {
      "Content-Type": "application/json",
    },
  });
}
// get请求
export function getRequest(url, params) {
  return axios({
    method: "get",
    // responseType: 'arraybuffer',
    params: {
      ...params,
    },
    url: url,
  });
}

export function deleteRequest(url, params) {
  return axios({
    method: "delete",
    data: params,
    // responseType: 'arraybuffer',
    url: url,
  });
}
export const putRequest = (url, params) => {
  return axios({
    method: "put",
    data: params,
    // responseType: 'arraybuffer',
    url: url,
    headers: {
      "Content-Type": "application/json",
    },
  });
};
